<?php

namespace App\Http\Middleware;

use App\Services\Installer\InstallerState;
use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class EnsureApplicationNotInstalled
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        $installerState = app(InstallerState::class);

        if ($installerState->isInstalled()) {
            return redirect('/');
        }

        return $next($request);
    }
}
